gtkmm: Gtk::Activatable Class Reference

gtkmm 3.3.18

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions
Gtk::Activatable Class Reference

Activatable widgets can be connected to a Gtk::Action and reflect the state of the action. More...

Inheritance diagram for Gtk::Activatable:
[legend]

List of all members.

## Public Member Functions
virtual | ~Activatable ()
GtkActivatable* | gobj ()
| Provides access to the underlying C GObject.
const GtkActivatable* | gobj () const
| Provides access to the underlying C GObject.
void | do_set_related_action (const Glib::RefPtr< Action >& action)
| This is a utility function for Gtk::Activatable implementors.
Glib::RefPtr< Action > | get_related_action ()
| Gets the related Gtk::Action for activatable.
Glib::RefPtr< const Action > | get_related_action () const
| Gets the related Gtk::Action for activatable.
bool | get_use_action_appearance () const
| Gets whether this activatable should reset its layout and appearance when setting the related action or when the action changes appearance.
void | sync_action_properties (const Glib::RefPtr< Action >& action)
| This is called to update the activatable completely, this is called internally when the Gtk::Activatable::property_related_action() property is set or unset and by the implementing class when Gtk::Activatable::signal_use_action_appearance() changes.
void | set_related_action (const Glib::RefPtr< Action >& action)
| Sets the related action on the activatable object.
void | set_use_action_appearance (bool use_appearance=true)
| Sets whether this activatable should reset its layout and appearance when setting the related action or when the action changes appearance.
Glib::PropertyProxy < Glib::RefPtr< Action > > | property_related_action ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Action > > | property_related_action () const
| The action this activatable will activate and receive updates from.
Glib::PropertyProxy< bool > | property_use_action_appearance ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_use_action_appearance () const
| Whether to use the related actions appearance properties.
virtual void | update_vfunc (const Glib::RefPtr< Action >& action, const Glib::ustring& property_name)
virtual void | sync_action_properties_vfunc (const Glib::RefPtr< Action >& action)
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Activatable > | wrap (GtkActivatable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Activatable widgets can be connected to a Gtk::Action and reflect the state of the action.

An Activatable can also provide feedback through its action, as it is responsible for activating the related action.

Since gtkmm 2.16:

## Constructor & Destructor Documentation

virtual Gtk::Activatable::~Activatable | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::Activatable::add_interface | ( | GType | gtype_implementer | ) | `[static]`

void Gtk::Activatable::do_set_related_action | ( | const Glib::RefPtr< Action >& | action | ) |

This is a utility function for Gtk::Activatable implementors.

When implementing Gtk::Activatable you must call this when handling changes of the Gtk::Activatable::property_related_action(), and you must also use this to break references in Object->dispose().

This function adds a reference to the currently set related action for you, it also makes sure the Gtk::Activatable->update() method is called when the related Gtk::Action properties change and registers to the action's proxy list.

<note>Be careful to call this before setting the local copy of the Gtk::Action property, since this function uses gtk_activatable_get_action() to retrieve the previous action</note>

Since gtkmm 2.16:

Parameters:

  action | The Gtk::Action to set.

Glib::RefPtr<Action> Gtk::Activatable::get_related_action | ( |  | ) |

Gets the related Gtk::Action for activatable.

Since gtkmm 2.16:

Returns:
  The related Gtk::Action if one is set.

Glib::RefPtr<const Action> Gtk::Activatable::get_related_action | ( |  | ) | const

Gets the related Gtk::Action for activatable.

Since gtkmm 2.16:

Returns:
  The related Gtk::Action if one is set.

bool Gtk::Activatable::get_use_action_appearance | ( |  | ) | const

Gets whether this activatable should reset its layout and appearance when setting the related action or when the action changes appearance.

Since gtkmm 2.16:

Returns:
  Whether activatable uses its actions appearance.

GtkActivatable* Gtk::Activatable::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::Button, Gtk::CheckButton, Gtk::CheckMenuItem, Gtk::ColorButton, Gtk::FontButton, Gtk::ImageMenuItem, Gtk::LinkButton, Gtk::MenuItem, Gtk::MenuToolButton, Gtk::RadioButton, Gtk::RadioMenuItem, Gtk::RadioToolButton, Gtk::RecentChooserMenu, Gtk::ScaleButton, Gtk::SeparatorMenuItem, Gtk::SeparatorToolItem, Gtk::Switch, Gtk::TearoffMenuItem, Gtk::ToggleButton, Gtk::ToggleToolButton, Gtk::ToolButton, Gtk::ToolItem, and Gtk::VolumeButton.

const GtkActivatable* Gtk::Activatable::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::Button, Gtk::CheckButton, Gtk::CheckMenuItem, Gtk::ColorButton, Gtk::FontButton, Gtk::ImageMenuItem, Gtk::LinkButton, Gtk::MenuItem, Gtk::MenuToolButton, Gtk::RadioButton, Gtk::RadioMenuItem, Gtk::RadioToolButton, Gtk::RecentChooserMenu, Gtk::ScaleButton, Gtk::SeparatorMenuItem, Gtk::SeparatorToolItem, Gtk::Switch, Gtk::TearoffMenuItem, Gtk::ToggleButton, Gtk::ToggleToolButton, Gtk::ToolButton, Gtk::ToolItem, and Gtk::VolumeButton.

Glib::PropertyProxy< Glib::RefPtr<Action> > Gtk::Activatable::property_related_action | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Action> > Gtk::Activatable::property_related_action | ( |  | ) | const

The action this activatable will activate and receive updates from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::Activatable::property_use_action_appearance | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::Activatable::property_use_action_appearance | ( |  | ) | const

Whether to use the related actions appearance properties.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::Activatable::set_related_action | ( | const Glib::RefPtr< Action >& | action | ) |

Sets the related action on the activatable object.

<note>Gtk::Activatable implementors need to handle the Gtk::Activatable::property_related_action() property and call do_set_related_action() when it changes.</note>

Since gtkmm 2.16:

Parameters:

  action | The Gtk::Action to set.

void Gtk::Activatable::set_use_action_appearance | ( | bool | use_appearance = `true` | ) |

Sets whether this activatable should reset its layout and appearance when setting the related action or when the action changes appearance.

<note>Gtk::Activatable implementors need to handle the Gtk::Activatable::property_use_action_appearance() property and call sync_action_properties() to update activatable if needed.</note>

Since gtkmm 2.16:

Parameters:

  use_appearance | Whether to use the actions appearance.

void Gtk::Activatable::sync_action_properties | ( | const Glib::RefPtr< Action >& | action | ) |

This is called to update the activatable completely, this is called internally when the Gtk::Activatable::property_related_action() property is set or unset and by the implementing class when Gtk::Activatable::signal_use_action_appearance() changes.

Since gtkmm 2.16:

Parameters:

  action | The related Gtk::Action or `0`.

virtual void Gtk::Activatable::sync_action_properties_vfunc | ( | const Glib::RefPtr< Action >& | action | ) | `[virtual]`

virtual void Gtk::Activatable::update_vfunc | ( | const Glib::RefPtr< Action >& | action,
|  | const Glib::ustring & | property_name
| ) |  | `[virtual]`

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Activatable > wrap | ( | GtkActivatable * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/activatable.h